package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import java.util.Arrays;
import java.util.List;

@Component
public class ExampleClient {

    @Autowired
    private AsyncTaskRepository repoAsync;
    @Autowired
    private SyncTaskRepository repoSync;

    public void run() {
        repoAsync.saveAll(Arrays.asList(AsyncTask.of("Scheduling"),
                AsyncTask.of("Cleaning")));
        repoSync.saveAll(Arrays.asList(SyncTask.of("Downloading"),
                SyncTask.of("Reporting")));

        System.out.println(" -- finding async task  --");
        List<AsyncTask> list = repoAsync.findTaskByName("Cleaning");
        list.forEach(System.out::println);

        System.out.println(" -- finding sync task  --");
        List<SyncTask> list2 = repoSync.findTaskByName("Reporting");
        list2.forEach(System.out::println);
    }
}